package com.ruoyi.hezhi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.hezhi.domain.TbConfig;
import com.ruoyi.hezhi.mapper.TbConfigMapper;
import com.ruoyi.hezhi.service.ITbConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 相关设置Service业务层处理
 *
 * @author ruoyi
 * @date 2024-10-22
 */
@Service
public class TbConfigServiceImpl implements ITbConfigService
{
    @Autowired
    private TbConfigMapper tbConfigMapper;

    /**
     * 查询相关设置
     *
     * @param configId 相关设置主键
     * @return 相关设置
     */
    @Override
    public TbConfig selectTbConfigByConfigId(Long configId)
    {
        return tbConfigMapper.selectTbConfigByConfigId(configId);
    }

    /**
     * 查询相关设置列表
     *
     * @param tbConfig 相关设置
     * @return 相关设置
     */
    @Override
    public List<TbConfig> selectTbConfigList(TbConfig tbConfig)
    {
        return tbConfigMapper.selectTbConfigList(tbConfig);
    }

    /**
     * 新增相关设置
     *
     * @param tbConfig 相关设置
     * @return 结果
     */
    @Override
    public int insertTbConfig(TbConfig tbConfig)
    {
        tbConfig.setCreateTime(DateUtils.getNowDate());
        return tbConfigMapper.insertTbConfig(tbConfig);
    }

    /**
     * 修改相关设置
     *
     * @param tbConfig 相关设置
     * @return 结果
     */
    @Override
    public int updateTbConfig(TbConfig tbConfig)
    {
        tbConfig.setUpdateTime(DateUtils.getNowDate());
        return tbConfigMapper.updateTbConfig(tbConfig);
    }

    /**
     * 批量删除相关设置
     *
     * @param configIds 需要删除的相关设置主键
     * @return 结果
     */
    @Override
    public int deleteTbConfigByConfigIds(Long[] configIds)
    {
        return tbConfigMapper.deleteTbConfigByConfigIds(configIds);
    }

    /**
     * 删除相关设置信息
     *
     * @param configId 相关设置主键
     * @return 结果
     */
    @Override
    public int deleteTbConfigByConfigId(Long configId)
    {
        return tbConfigMapper.deleteTbConfigByConfigId(configId);
    }

    /**
     * 相关设置
     *
     * @param params 参数
     * @return 相关设置详情
     */
    @Override
    public Map<String, Object> getLiveBroadcastInfo(Map<String, Object> params) {
        return tbConfigMapper.getLiveBroadcastInfo(params);
    }
}
